---
id: 6720b1f2680ec706ed534acf
title: Step 1
challengeType: 0
dashedName: step-1
demoType: onLoad
---

# --description--

In this workshop, you will practice working with different pseudo-classes and pseudo-elements by designing a greeting card. The HTML boilerplate has been provided for you. 

Start the workshop by linking the `styles.css` file.

# --hints--

Your `link` element should be within your `head` element.

```js
const link = document.querySelector('head > link');
assert.isNotNull(link);
```

Your `link` element should have a `rel` attribute with the value `stylesheet`.

```js
const linkRelValue = document.querySelector('link')?.getAttribute('rel');
assert.strictEqual(linkRelValue, 'stylesheet');
```

Your `link` element should have an `href` attribute with the value `styles.css`.

```js
const linkHrefValue = document.querySelector('link')?.dataset?.href;
assert.match(linkHrefValue, /^(\.\/)?styles\.css$/);
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Greeting Card</title>
--fcc-editable-region--
    
--fcc-editable-region--
  </head>
  <body>
  </body>
</html>
```

```css

```
